import { defineConfig } from 'vite';
import vue from '@vitejs/plugin-vue';
import vueJsx from '@vitejs/plugin-vue-jsx';
import * as path from 'path';

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue(), vueJsx()],
  resolve: {
    alias: { '@': path.resolve(__dirname, './src/') },
  },
  server: {
    proxy: {
      '/image': 'http://127.0.0.1:777/',
      '/file': 'http://127.0.0.1:777/',
      '/api': 'http://127.0.0.1:777/',
    },
  },
});
